Subject: Re: [PATCH net-next 7/7] devlink: Move devlink dev selftest code to dev

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 Feb 2023 10:17:12 -0800

On Thu, 2 Feb 2023 16:47:06 +0200 Moshe Shemesh wrote:
> Move devlink dev selftest callbacks and related code from leftover.c to
> file dev.c. No functional change in this patch.

selftest I'd put in its own file. We don't want every command which
doesn't have a specific sub-object to end up in dev.c, right?
At least that was my initial thinking. I don't see any dependencies
between the selftest code and the rest of the dev code either.
WDYT?